Bug 1109588 - Determining if ipaddress is already in use
Summary: Determining if ipaddress is already in use
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.5
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Jan Ščotka
URL:
Whiteboard:
Depends On:
Blocks: 1273286
TreeView+ depends on / blocked
 
Reported: 2014-06-15 18:36 UTC by Harald Reindl
Modified: 2016-11-25 12:57 UTC (History)
3 users (show)

Fixed In Version: initscripts-9.03.47-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Network aliases did not inherit ARPCHECK variable from their parent. Consequence: Annoying behavior where parents where not checked for duplicit ip addresses but their aliases did that. Fix: inherit ARPCHECK variable from parents for alias devices. Result:
Clone Of:
: 1273286 (view as bug list)
Environment:
Last Closed: 2015-07-22 07:18:34 UTC


Attachments (Terms of Use)
screenshot of a booting honeypot (16.10 KB, image/png)
2014-06-15 18:36 UTC, Harald Reindl
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1380 normal SHIPPED_LIVE initscripts bug fix update 2015-07-20 17:58:24 UTC

Description Harald Reindl 2014-06-15 18:36:45 UTC
Created attachment 908932 [details]
screenshot of a booting honeypot

don't do this check, it takes minutes to bring up networking on machines with a lot of aliases for eth0 - it's really the administrators problem if he configures two machines on the same network with the same IP address

[root@honeypot:/etc/sysconfig/network-scripts]$ cat ifup-eth | grep "already in use"
echo $"Determining if ip address ${ipaddr[$idx]} is already in use for device ${REALDEVICE}..."

Comment 2 Lukáš Nykrýn 2014-06-16 07:53:16 UTC
> don't do this check, it takes minutes to bring up networking on machines
> with a lot of aliases for eth0 - it's really the administrators problem if
> he configures two machines on the same network with the same IP address

Yes I agree that this is annoying, but unfortunately there were bugs saying the opposite.

Anyway ARPCHECK=no should work for you.

Comment 3 Harald Reindl 2014-06-16 08:31:47 UTC
thanks "ARPCHECK=no" in all ifcfg-eth0:*X files works, i tried to find out if there is a config variable but without luck 

interesting sidenote: i tried to put it in /etc/sysconfig/network and "service network restart" looked fine, good that i verfied it with a reboot :-)

Comment 4 Lukáš Nykrýn 2014-06-16 08:52:59 UTC
This variable is mentioned in sysconfig.txt (it is somewhere in  /usr/share/doc/initscripts*). 

But aliases interface could probably inherit ARPCHECK=no from the parent device configuration file.

And btw, are you aware that you can cover range of ip addresses by a range file?

something like
/etc/sysconfig/network-scripts/ifcfg-eth0-range0
IPADDR_START=192.168.0.100
IPADDR_END=192.168.0.200
CLONENUM_START=0

Comment 5 Harald Reindl 2014-06-16 09:26:53 UTC
i was not sure if it's worth to try inherit from parent after /etc/sysconfig/network was not inhertited and finally it took the same time to add the line in 50 config files as if it would not have worked wait until the network is up

sadly while doing that checks the parent IP is also unreachable from network

yes i know about ranges, that's a honeypot which uses every currently reserved public IP address, so no clean ranges and the idea is if one of the IP's is used for a new production service delete the file named with the kast IP-segment and restart network on the honeypot

strange BTW that the setting kills network.service on F19 
but not F20, the code is not the same as in the RHEL 
initscripts but the checks seems to be similar
https://bugzilla.redhat.com/show_bug.cgi?id=1109725

Comment 15 errata-xmlrpc 2015-07-22 07:18:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1380.html


Note You need to log in before you can comment on or make changes to this bug.